# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

# If you want to build with maven, instead of using straight ant,
# give rpmbuild option '--with maven'

%define with_maven %{?_with_maven:1}%{!?_with_maven:0}
%define without_maven %{!?_with_maven:1}%{?_with_maven:0}

Name:           terracotta-dso
Version:        3.3.0
Release:        1%{?dist}
Epoch:          0
Summary:        Terracotta DSO
License:        Terracotta Public License
Group:          Development/Java
URL:            http://www.terracotta.org/
Source0:        terracotta-%{version}-src.tar.gz
Source1:	terracotta-antbuilder.tgz
Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-settings.xml

Patch0:         %{name}-tcbuild.patch
Patch1:         terracotta-modules.def.yml.patch
Patch2:         terracotta-HSqlDBServer.patch
Patch3:         terracotta-static_resources.patch
Patch4:         terracotta-external-resources.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:5.0.0
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jruby
BuildRequires:  ruby-libs

BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-junit
BuildRequires:  ant-contrib
BuildRequires:  berkeleydb-je4
BuildRequires:  eclipse-jdt
BuildRequires:  eclipse-pde
BuildRequires:  eclipse-platform
BuildRequires:  eclipse-rcp
BuildRequires:  eclipse-swt
BuildRequires:  emma
BuildRequires:  h2database
BuildRequires:  hsqldb
BuildRequires:  httpunit
#BuildRequires:  izpack-standalone-compiler
BuildRequires:  jetty6-core
BuildRequires:  jtidy
BuildRequires:  junit
BuildRequires:  junit-addons
BuildRequires:  leafcutter
BuildRequires:  mockito
BuildRequires:  tc-native-tool
%if %{with_maven}
BuildRequires:  maven2-common-poms
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-ant
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-release
%endif
BuildRequires:  antlr
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-fileupload
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-validator
BuildRequires:  aspectj
BuildRequires:  bsh2
BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  google-collections
BuildRequires:  google-guice
BuildRequires:  de-java2html
BuildRequires:  jaxen
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  jline
BuildRequires:  jvyaml
BuildRequires:  knopflerfish
BuildRequires:  linked-child-process
BuildRequires:  log4j
BuildRequires:  opendmk
BuildRequires:  servlet_2_3_api
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
BuildRequires:  stax_1_0_api
BuildRequires:  stringtemplate
BuildRequires:  tim-api
BuildRequires:  treemap
BuildRequires:  gnu-trove
BuildRequires:  xmlbeans
BuildRequires:  yamlbeans
BuildRequires:  sigar
BuildRequires:  struts

Requires:  java >= 0:1.6.0
Requires:  antlr
Requires:  apache-commons-beanutils
Requires:  apache-commons-cli
Requires:  apache-commons-codec
Requires:  apache-commons-collections
Requires:  apache-commons-digester
Requires:  apache-commons-fileupload
Requires:  apache-commons-httpclient
Requires:  apache-commons-io
Requires:  apache-commons-lang
Requires:  apache-commons-logging
Requires:  apache-commons-validator
Requires:  aspectj
Requires:  bsh2
Requires:  concurrent
Requires:  dom4j
Requires:  google-collections
Requires:  google-guice
Requires:  de-java2html
Requires:  jaxen
Requires:  jcommon
Requires:  jfreechart
Requires:  jline
Requires:  jvyaml
Requires:  knopflerfish
Requires:  linked-child-process
Requires:  log4j
Requires:  opendmk
Requires:  servlet_2_3_api
Requires:  servlet_2_5_api
Requires:  slf4j
Requires:  stax_1_0_api
Requires:  stringtemplate
Requires:  tim-api
Requires:  treemap
Requires:  gnu-trove
Requires:  xmlbeans
Requires:  yamlbeans
Requires:  sigar
Requires:  struts

Requires(post):   jpackage-utils >= 0:5.0.0
Requires(postun): jpackage-utils >= 0:5.0.0

%description
Terracotta is an enterprise-class, open-source, JVM-level 
clustering solution. JVM-level clustering simplifies 
enterprise Java by enabling applications to be deployed on 
multiple JVMs, yet interact with each other as if they were
running on the same JVM. Terracotta extends the Java Memory
Model of a single JVM to include a cluster of virtual 
machines such that threads on one virtual machine can 
interact with threads on another virtual machine as if they
were all on the same virtual machine with an unlimited 
amount of heap.
The programming model of applications clustered using Open 
Terracotta is the same or similar to that of an application
written for a single application. There is no developer API
specific to Open Terracotta. Terracotta uses bytecode 
manipulation—a technique used by many Aspect-Oriented 
Software Development frameworks such as AspectJ and 
AspectWerkz—to inject clustered meaning to existing Java 
language features.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n terracotta-%{version}-src
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
pushd code/base/buildscripts
tar xzf %{SOURCE1}
popd
mv code/base/common-api/lib/tcconfig-xmlbeans-generated.jar.no code/base/common-api/lib/tcconfig-xmlbeans-generated.jar
mv code/base/common/lib.tests.unit/tctest-xmlbeans-generated.jar.no code/base/common/lib.tests.unit/tctest-xmlbeans-generated.jar
mv code/base/dso-common/lib/tc-l1-reconnect-properties.jar.no code/base/dso-common/lib/tc-l1-reconnect-properties.jar
mv code/base/dso-statistics/lib/tcstats-xmlbeans-generated.jar.no code/base/dso-statistics/lib/tcstats-xmlbeans-generated.jar

ln -sf $(build-classpath antlr) code/base/eclipsegen/lib/antlr-2.7.7.jar
ln -sf $(build-classpath commons-io) code/base/eclipsegen/lib/commons-io-1.3.2.jar
ln -sf $(build-classpath stringtemplate) code/base/eclipsegen/lib/stringtemplate.jar

#mv buildsystems/emma-2.0.5312/lib/emma.jar buildsystems/emma-2.0.5312/lib/emma.jar.no
ln -s /usr/share/java/emma.jar buildsystems/emma-2.0.5312/lib/emma.jar
#mv buildsystems/emma-2.0.5312/lib/emma_ant.jar buildsystems/emma-2.0.5312/lib/emma_ant.jar.no
ln -s /usr/share/java/emma_ant.jar buildsystems/emma-2.0.5312/lib/emma_ant.jar
#mv buildsystems/cruisecontrol-task/ant-contrib-1.0b2.jar buildsystems/cruisecontrol-task/ant-contrib-1.0b2.jar.no
ln -s /usr/share/java/ant-contrib.jar buildsystems/cruisecontrol-task/ant-contrib-1.0b2.jar
#mv buildsystems/jruby-lib/ant-1.7.1.jar buildsystems/jruby-lib/ant-1.7.1.jar.no
ln -s /usr/share/java/ant.jar buildsystems/jruby-lib/ant-1.7.1.jar
#mv buildsystems/jruby-lib/ant-junit-1.7.1.jar buildsystems/jruby-lib/ant-junit-1.7.1.jar.no
ln -s /usr/share/java/ant/ant-junit.jar buildsystems/jruby-lib/ant-junit-1.7.1.jar
#mv buildsystems/jruby-lib/ant-launcher-1.7.1.jar buildsystems/jruby-lib/ant-launcher-1.7.1.jar.no
ln -s /usr/share/java/ant-launcher.jar buildsystems/jruby-lib/ant-launcher-1.7.1.jar
#mv buildsystems/jruby-lib/aspectjtools.jar buildsystems/jruby-lib/aspectjtools.jar.no
ln -s /usr/share/java/aspectjtools.jar buildsystems/jruby-lib/aspectjtools.jar
#mv buildsystems/jruby-lib/dom4j-1.6.1.jar buildsystems/jruby-lib/dom4j-1.6.1.jar.no
ln -s /usr/share/java/dom4j.jar buildsystems/jruby-lib/dom4j-1.6.1.jar
#mv buildsystems/jruby-lib/ivy_2.2.0.20100503220118.jar buildsystems/jruby-lib/ivy_2.2.0.20100503220118.jar.no
#mv buildsystems/jruby-lib/izpack-standalone-compiler-4.3.0.jar buildsystems/jruby-lib/izpack-standalone-compiler-4.3.0.jar.no
#mv buildsystems/jruby-lib/jaxen-1.1.1.jar buildsystems/jruby-lib/jaxen-1.1.1.jar.no
ln -s /usr/share/java/jaxen.jar buildsystems/jruby-lib/jaxen-1.1.1.jar
#mv buildsystems/jruby-lib/junit-3.8.1.jar buildsystems/jruby-lib/junit-3.8.1.jar.no
ln -s /usr/share/java/junit.jar buildsystems/jruby-lib/junit-3.8.1.jar
#mv buildsystems/jruby-lib/junit-report-cleaner-1.0.0-SNAPSHOT.jar buildsystems/jruby-lib/junit-report-cleaner-1.0.0-SNAPSHOT.jar.no
#mv buildsystems/jruby-lib/leafcutter.jar buildsystems/jruby-lib/leafcutter.jar.no
ln -s /usr/share/java/leafcutter.jar buildsystems/jruby-lib/leafcutter.jar
ln -s /usr/share/java/commons-logging.jar buildsystems/jruby-lib/

pushd code/base
mkdir dependencies/lib

#mv dependencies/lib/ant-1.7.1.jar dependencies/lib/ant-1.7.1.jar.no
ln -s /usr/share/java/ant.jar dependencies/lib/ant-1.7.1.jar
#mv dependencies/lib/ant-junit-1.7.1.jar dependencies/lib/ant-junit-1.7.1.jar.no
ln -s /usr/share/java/ant/ant-junit.jar dependencies/lib/ant-junit-1.7.1.jar
#mv dependencies/lib/ant-launcher-1.7.1.jar dependencies/lib/ant-launcher-1.7.1.jar.no
ln -s /usr/share/java/ant-launcher.jar dependencies/lib/ant-launcher-1.7.1.jar
#mv dependencies/lib/bsh-2.0b4.jar dependencies/lib/bsh-2.0b4.jar.no
ln -s /usr/share/java/bsh2/bsh.jar dependencies/lib/bsh-2.0b4.jar
#mv dependencies/lib/commons-cli-1.1.jar dependencies/lib/commons-cli-1.1.jar.no
ln -s /usr/share/java/commons-cli.jar dependencies/lib/commons-cli-1.1.jar
#mv dependencies/lib/commons-codec-1.2.jar dependencies/lib/commons-codec-1.2.jar.no
ln -s /usr/share/java/commons-codec.jar dependencies/lib/commons-codec-1.2.jar
#mv dependencies/lib/commons-collections-3.2.1.jar dependencies/lib/commons-collections-3.2.1.jar.no
ln -s /usr/share/java/commons-collections.jar dependencies/lib/commons-collections-3.2.1.jar
#mv dependencies/lib/commons-httpclient-3.1.jar dependencies/lib/commons-httpclient-3.1.jar.no
ln -s /usr/share/java/commons-httpclient.jar dependencies/lib/commons-httpclient-3.1.jar
#mv dependencies/lib/commons-io-1.2.jar dependencies/lib/commons-io-1.2.jar.no
ln -s /usr/share/java/commons-io.jar dependencies/lib/commons-io-1.2.jar
#mv dependencies/lib/commons-lang-2.0.jar dependencies/lib/commons-lang-2.0.jar.no
ln -s /usr/share/java/commons-lang.jar dependencies/lib/commons-lang-2.0.jar
#mv dependencies/lib/commons-logging-1.0.3.jar dependencies/lib/commons-logging-1.0.3.jar.no
ln -s /usr/share/java/commons-logging.jar dependencies/lib/commons-logging-1.0.3.jar
#mv dependencies/lib/commons-logging-1.0.4.jar dependencies/lib/commons-logging-1.0.4.jar.no
ln -s /usr/share/java/commons-logging.jar dependencies/lib/commons-logging-1.0.4.jar
#mv dependencies/lib/concurrent-1.3.4.jar dependencies/lib/concurrent-1.3.4.jar.no
ln -s /usr/share/java/concurrent.jar dependencies/lib/concurrent-1.3.4.jar
#mv dependencies/lib/google-collections-1.0.jar dependencies/lib/google-collections-1.0.jar.no
ln -s /usr/share/java/google-collections.jar dependencies/lib/google-collections-1.0.jar
#mv dependencies/lib/guice-1.0.jar dependencies/lib/guice-1.0.jar.no
ln -s /usr/share/java/google-guice.jar dependencies/lib/guice-1.0.jar
#mv dependencies/lib/h2-1.0.67.jar dependencies/lib/h2-1.0.67.jar.no
ln -s /usr/share/java/h2database.jar dependencies/lib/h2-1.0.67.jar
#mv dependencies/lib/hsqldb-1.7.2.2.jar dependencies/lib/hsqldb-1.7.2.2.jar.no
ln -s /usr/share/java/hsqldb.jar dependencies/lib/hsqldb-1.7.2.2.jar
#mv dependencies/lib/httpunit-1.6.2.jar dependencies/lib/httpunit-1.6.2.jar.no
ln -s /usr/share/java/httpunit.jar dependencies/lib/httpunit-1.6.2.jar
#mv dependencies/lib/jcommon-1.0.16.jar dependencies/lib/jcommon-1.0.16.jar.no
ln -s /usr/share/java/jcommon.jar dependencies/lib/jcommon-1.0.16.jar
#mv dependencies/lib/je-4.0.103.jar dependencies/lib/je-4.0.103.jar.no
ln -s /usr/share/java/je4.jar dependencies/lib/je-4.0.103.jar
#mv dependencies/lib/jetty-6.1.8.jar dependencies/lib/jetty-6.1.8.jar.no
ln -s /usr/share/java/jetty6/jetty6.jar dependencies/lib/jetty-6.1.8.jar
#mv dependencies/lib/jetty-util-6.1.8.jar dependencies/lib/jetty-util-6.1.8.jar.no
ln -s /usr/share/java/jetty6/jetty6-util.jar dependencies/lib/jetty-util-6.1.8.jar
#mv dependencies/lib/jfreechart-1.0.13.jar dependencies/lib/jfreechart-1.0.13.jar.no
ln -s /usr/share/java/jfreechart.jar dependencies/lib/jfreechart-1.0.13.jar
#mv dependencies/lib/jline-0.9.94.jar dependencies/lib/jline-0.9.94.jar.no
ln -s /usr/share/java/jline.jar dependencies/lib/jline-0.9.94.jar
#mv dependencies/lib/jtidy-4aug2000r7-dev.jar dependencies/lib/jtidy-4aug2000r7-dev.jar.no
ln -s /usr/share/java/jtidy.jar dependencies/lib/jtidy-4aug2000r7-dev.jar
#mv dependencies/lib/junit-3.8.1.jar dependencies/lib/junit-3.8.1.jar.no
ln -s /usr/share/java/junit.jar dependencies/lib/junit-3.8.1.jar
#mv dependencies/lib/junit-3.8.2.jar dependencies/lib/junit-3.8.2.jar.no
ln -s /usr/share/java/junit.jar dependencies/lib/junit-3.8.2.jar
#mv dependencies/lib/junit-addons-1.4.jar dependencies/lib/junit-addons-1.4.jar.no
ln -s /usr/share/java/junit-addons.jar dependencies/lib/junit-addons-1.4.jar
#mv dependencies/lib/log4j-1.2.9.jar dependencies/lib/log4j-1.2.9.jar.no
ln -s /usr/share/java/log4j.jar dependencies/lib/log4j-1.2.9.jar
#mv dependencies/lib/mockito-all-1.8.2.jar dependencies/lib/mockito-all-1.8.2.jar.no
ln -s /usr/share/java/mockito-all.jar dependencies/lib/mockito-all-1.8.2.jar
#mv dependencies/lib/servlet-api-2.3.jar dependencies/lib/servlet-api-2.3.jar.no
ln -s /usr/share/java/servlet_2_3_api.jar dependencies/lib/servlet-api-2.3.jar
#mv dependencies/lib/servlet-api-2.5-6.1.8.jar dependencies/lib/servlet-api-2.5-6.1.8.jar.no
ln -s /usr/share/java/servlet_2_5_api.jar dependencies/lib/servlet-api-2.5-6.1.8.jar
#mv dependencies/lib/slf4j-api-1.5.11.jar dependencies/lib/slf4j-api-1.5.11.jar.no
ln -s /usr/share/java/slf4j/api.jar dependencies/lib/slf4j-api-1.5.11.jar
#mv dependencies/lib/slf4j-nop-1.5.11.jar dependencies/lib/slf4j-nop-1.5.11.jar.no
ln -s /usr/share/java/slf4j/nop.jar dependencies/lib/slf4j-nop-1.5.11.jar
#mv dependencies/lib/trove-1.1-beta-5.jar dependencies/lib/trove-1.1-beta-5.jar.no
ln -s /usr/share/java/trove.jar dependencies/lib/trove-1.1-beta-5.jar
#mv dependencies/lib/xercesImpl-2.6.2.jar dependencies/lib/xercesImpl-2.6.2.jar.no
#mv dependencies/lib/xmlbeans-2.4.0.jar dependencies/lib/xmlbeans-2.4.0.jar.no
ln -s /usr/share/java/xmlbeans/xbean.jar dependencies/lib/xmlbeans-2.4.0.jar
#mv dependencies/lib/xmlbeans-jsr173-api-1.0.jar dependencies/lib/xmlbeans-jsr173-api-1.0.jar.no
ln -s /usr/share/java/stax_1_0_api.jar dependencies/lib/xmlbeans-jsr173-api-1.0.jar
#mv dependencies/lib/xmlbeans-xpath-2.4.0.jar dependencies/lib/xmlbeans-xpath-2.4.0.jar.no
ln -s /usr/share/java/xmlbeans/xbean_xpath.jar dependencies/lib/xmlbeans-xpath-2.4.0.jar
#mv dependencies/lib/xmlParserAPIs-2.6.2.jar dependencies/lib/xmlParserAPIs-2.6.2.jar.no
popd

ln -s /usr/share/java/knopflerfish/framework.jar code/base/dependencies/lib/knopflerfish-tc-2.0.1-20100706.jar
#cp %{SOURCE101} code/base/dependencies/lib/knopflerfish-tc-2.0.1-20100706.jar
ln -s /usr/share/java/tc-native-tool.jar code/base/dependencies/lib/native-tool-1.0.1.jar
#cp %{SOURCE102} code/base/dependencies/lib/native-tool-1.0.1.jar
ln -s /usr/share/java/tim-api.jar code/base/dependencies/lib/tim-api-1.3.0.jar
#cp %{SOURCE103} code/base/dependencies/lib/tim-api-1.3.0.jar
ln -s /usr/share/java/yamlbeans.jar code/base/dependencies/lib/yamlbeans-0.9.2.jar
#cp %{SOURCE104} code/base/dependencies/lib/yamlbeans-0.9.2.jar
ln -s /usr/share/java/opendmk/jmxremote_optional.jar code/base/dependencies/lib/jmxremote_optional-1.0.1_04.jar
#cp %{SOURCE105} code/base/dependencies/lib/jmxremote_optional-1.0.1_04.jar
ln -s /usr/share/java/treemap.jar code/base/dependencies/lib/treemap-2.5.1.jar
#cp %{SOURCE106} code/base/dependencies/lib/treemap-2.5.1.jar
ln -s /usr/share/java/linked-child-process.jar code/base/dependencies/lib/linked-child-process-1.0.5.jar
#cp %{SOURCE107} code/base/dependencies/lib/linked-child-process-1.0.5.jar
ln -s /usr/share/java/maven2/empty-dep.jar code/base/dependencies/lib/jmxremote-1.0.1_04.jar
#cp %{SOURCE108} code/base/dependencies/lib/jmxremote-1.0.1_04.jar
ln -s $(find /usr/lib/eclipse/ -name "runtime_registry_compatibility.jar") code/base/dependencies/lib/runtime_registry_compatibility-x.jar
#cp %{SOURCE109} code/base/dependencies/lib/runtime_registry_compatibility-x.jar
ln -s /usr/share/java/jvyaml.jar code/base/eclipsegen/lib/jvyaml.jar
#cp %{SOURCE110} code/base/eclipsegen/lib/jvyaml.jar
ln -s /usr/share/java/de-java2html.jar buildsystems/jruby-lib/java2html.jar
#cp %{SOURCE111} buildsystems/jruby-lib/java2html.jar

ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.core.commands_*.jar") code/base/dependencies/lib/org.eclipse.core.commands-3.3.0.I20070605-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.core.contenttype_*.jar") code/base/dependencies/lib/org.eclipse.core.contenttype-3.2.100.v20070319.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.core.filebuffers_*.jar") code/base/dependencies/lib/org.eclipse.core.filebuffers-3.3.0.v20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.core.jobs_*.jar") code/base/dependencies/lib/org.eclipse.core.jobs-3.3.0.v20070423.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.core.resources_*.jar") code/base/dependencies/lib/org.eclipse.core.resources-3.3.0.v20070604.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.core.runtime_*.jar") code/base/dependencies/lib/org.eclipse.core.runtime-3.3.100.v20070530.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.core.variables_*.jar") code/base/dependencies/lib/org.eclipse.core.variables-3.2.0.v20070426.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.debug.core_*.jar") code/base/dependencies/lib/org.eclipse.debug.core-3.3.0.v20070607-1800.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.debug.ui_*.jar") code/base/dependencies/lib/org.eclipse.debug.ui-3.3.0.v20070607-1800.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.debug.ui_*.jar") code/base/dependencies/lib/org.eclipse.debug.ui-3.4.0.v20080529-1300.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.equinox.app_*.jar") code/base/dependencies/lib/org.eclipse.equinox.app-1.0.0.v20070606.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.equinox.common_*.jar") code/base/dependencies/lib/org.eclipse.equinox.common-3.3.0.v20070426.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.equinox.preferences_*.jar") code/base/dependencies/lib/org.eclipse.equinox.preferences-3.2.100.v20070522.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.equinox.registry_*.jar") code/base/dependencies/lib/org.eclipse.equinox.registry-3.3.0.v20070522.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.compiler.apt_*.jar") code/base/dependencies/lib/org.eclipse.jdt.compiler.apt-1.0.0.v20070510-2000.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.compiler.tool_*.jar") code/base/dependencies/lib/org.eclipse.jdt.compiler.tool-1.0.0.v_771.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.core_*.jar") code/base/dependencies/lib/org.eclipse.jdt.core-3.3.0.v_771.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.debug.ui_*.jar") code/base/dependencies/lib/org.eclipse.jdt.debug.ui-3.2.100.v20070531-1800.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.debug.ui_*.jar") code/base/dependencies/lib/org.eclipse.jdt.debug.ui-3.3.0.v20080603.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.junit_*.jar") code/base/dependencies/lib/org.eclipse.jdt.junit-3.3.0.v20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.launching_*.jar") code/base/dependencies/lib/org.eclipse.jdt.launching-3.3.0.v20070510.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jdt.ui_*.jar") code/base/dependencies/lib/org.eclipse.jdt.ui-3.3.0.v20070607-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jface_*.jar") code/base/dependencies/lib/org.eclipse.jface-3.3.0.I20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.jface.text_*.jar") code/base/dependencies/lib/org.eclipse.jface.text-3.3.0.v20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ltk.core.refactoring_*.jar") code/base/dependencies/lib/org.eclipse.ltk.core.refactoring-3.3.0.v20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.osgi_*.jar") code/base/dependencies/lib/org.eclipse.osgi-3.3.0.v20070530.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.pde.core_*.jar") code/base/dependencies/lib/org.eclipse.pde.core-3.3.0.v20070608-1300.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.pde.ui_*.jar") code/base/dependencies/lib/org.eclipse.pde.ui-3.3.0.v20070608-1300.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.search_*.jar") code/base/dependencies/lib/org.eclipse.search-3.3.0.v20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.swt_*.jar") code/base/dependencies/lib/org.eclipse.swt-3.3.0.v3346.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.swt.gtk.linux.x86_*.jar" | grep -v source) code/base/dependencies/lib/org.eclipse.swt.win32.win32.x86-3.3.0.v3346.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.text_*.jar") code/base/dependencies/lib/org.eclipse.text-3.3.0.v20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui_*.jar") code/base/dependencies/lib/org.eclipse.ui-3.3.0.I20070614-0800.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui.console_*.jar") code/base/dependencies/lib/org.eclipse.ui.console-3.2.0.v20070530.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui.editors_*.jar") code/base/dependencies/lib/org.eclipse.ui.editors-3.3.0.v20070606-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui.forms_*.jar") code/base/dependencies/lib/org.eclipse.ui.forms-3.3.0.v20070511.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui.ide_*.jar") code/base/dependencies/lib/org.eclipse.ui.ide-3.3.0.I20070620.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui.views_*.jar") code/base/dependencies/lib/org.eclipse.ui.views-3.2.100.I20070319-0010.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui.workbench_*.jar") code/base/dependencies/lib/org.eclipse.ui.workbench-3.3.0.I20070608-1100.jar
ln -s $(find /usr/lib*/eclipse/ -name "org.eclipse.ui.workbench.texteditor_*.jar") code/base/dependencies/lib/org.eclipse.ui.workbench.texteditor-3.3.0.v20070606-0010.jar
ln -sf $(build-classpath sigar) code/base/sigarstats/lib/sigar-1.6.4.jar

ln -sf $(build-classpath commons-beanutils) code/demos/sessions/tasklist/src/main/webapp/WEB-INF/lib/commons-beanutils.jar
ln -sf $(build-classpath commons-beanutils) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/commons-beanutils.jar
ln -sf $(build-classpath commons-digester) code/demos/sessions/tasklist/src/main/webapp/WEB-INF/lib/commons-digester.jar
ln -sf $(build-classpath commons-digester) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/commons-digester.jar
ln -sf $(build-classpath commons-fileupload) code/demos/sessions/tasklist/src/main/webapp/WEB-INF/lib/commons-fileupload.jar
ln -sf $(build-classpath commons-fileupload) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/commons-fileupload.jar
ln -sf $(build-classpath commons-logging) code/demos/sessions/tasklist/src/main/webapp/WEB-INF/lib/commons-logging.jar
ln -sf $(build-classpath commons-logging) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/commons-logging.jar
ln -sf $(build-classpath commons-validator) code/demos/sessions/tasklist/src/main/webapp/WEB-INF/lib/commons-validator.jar
ln -sf $(build-classpath commons-validator) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/commons-validator.jar
ln -sf $(build-classpath struts) code/demos/sessions/tasklist/src/main/webapp/WEB-INF/lib/struts.jar
ln -sf $(build-classpath struts) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/struts.jar
ln -sf $(build-classpath slf4j/api) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/slf4j-api.jar
ln -sf $(build-classpath slf4j/jdk14) code/demos/sessions/townsend/src/main/webapp/WEB-INF/lib/slf4j-jdk14.jar


%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3

%build
export ANT_HOME=/usr/share/ant
export JRUBY_HOME=/usr/share/jruby
export JAVA_HOME=/usr/lib/jvm/java
export JAVA_HOME_16=/usr/lib/jvm/java-1.6.0
rm code/base/ui-eclipse-33/src/org/terracotta/dso/launch/LaunchShortcut33.java
pushd code/base
./tcbuild --no-ivy --no-external-resources dist dso OPENSOURCE
./tcbuild --no-ivy --no-external-resources javadoc
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd code/base/build/dist/terracotta-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 lib/tcconfig-xmlbeans-generated.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tcconfig-xmlbeans-generated-%{version}.jar
install -m 644 lib/tc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tc-%{version}.jar
install -m 644 lib/tc-l1-reconnect-properties.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tc-l1-reconnect-properties-%{version}.jar
install -m 644 lib/tcstats-xmlbeans-generated.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tcstats-xmlbeans-generated-%{version}.jar
install -m 644 platform/modules/org/terracotta/modules/jdk15-preinst-config/%{version}/jdk15-preinst-config-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 platform/modules/org/terracotta/modules/excludes-config/%{version}/excludes-config-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 platform/modules/org/terracotta/modules/guimodels-config/%{version}/guimodels-config-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 platform/modules/org/terracotta/modules/clustered-surefire-2.3/%{version}/clustered-surefire-2.3-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 platform/modules/org/terracotta/modules/standard-config/%{version}/standard-config-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# home
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
# home/bin
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp bin/archive-tool.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/*.sh
# home/config-samples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/config-samples
install -m 644 config-samples/tc-config-express-reference.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/config-samples
# doc/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 644 *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 644 *.html $RPM_BUILD_ROOT%{_docdir}/%{name}

# home/lib
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath bsh2/bsh) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-cli) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-codec) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-collections) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-httpclient) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-io) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-lang) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-logging) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath concurrent) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath google-collections) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath google-guice) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath h2database) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jcommon) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath je4) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jetty6/jetty6) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jetty6/jetty6-util) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jfreechart) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jline) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install -m 644 lib/jmxremote-1.0.1_04.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install -m 644 lib/jmxremote_optional-1.0.1_04.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install -m 644 lib/knopflerfish-tc-2.0.1-20100706.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath log4j) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
cp -pr lib/resources $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath servlet_2_5_api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath slf4j/api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/slf4j-api.jar
ln -sf $(build-classpath slf4j/nop) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/slf4j-nop.jar
ln -sf %{_javadir}/%{name}/tcconfig-xmlbeans-generated.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/%{name}/tc.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/%{name}/tc-l1-reconnect-properties.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/%{name}/tcstats-xmlbeans-generated.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
install -m 644 lib/tim-api-1.3.0.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install -m 644 lib/treemap-2.5.1.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath trove) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf $(build-classpath xmlbeans/xbean) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/xmlbeans.jar
ln -sf $(build-classpath stax_1_0_api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/xmlbeans-jsr173-api.jar
ln -sf $(build-classpath xmlbeans/xbean_xpath) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/xmlbeans-xpath.jar
install -m 644 lib/yamlbeans-0.9.2.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath sigar) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
popd

pushd code/base
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%add_to_maven_depmap org.terracotta parent %{version} JPP/terracotta-dso tc-parent
install -m 644 pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.terracotta-dso-tc-parent.pom
%add_to_maven_depmap org.terracotta terracotta-core-parent %{version} JPP/terracotta-dso tc-core-parent
install -m 644 poms/terracotta-core-parent-pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.terracotta-dso-tc-core-parent.pom
%add_to_maven_depmap org.terracotta terracotta %{version} JPP/terracotta-dso tc
install -m 644 poms/terracotta-pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.terracotta-dso-tc.pom
%add_to_maven_depmap org.terracotta tc-l1-reconnect-properties %{version} JPP/terracotta-dso tc-l1-reconnect-properties
install -m 644 poms/tc-l1-reconnect-properties-pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.terracotta-dso-tc-l1-reconnect-properties.pom
popd

pushd code/base/build/dist/terracotta-%{version}
# home/platform
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/platform
cp -pr platform/* $RPM_BUILD_ROOT%{_datadir}/%{name}/platform
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/platform
find . -name "*.bat" -exec rm {} \;
rm modules/org/terracotta/modules/jdk15-preinst-config/%{version}/jdk15-preinst-config-%{version}.jar
ln -sf %{_javadir}/%{name}/jdk15-preinst-config-%{version}.jar modules/org/terracotta/modules/jdk15-preinst-config/%{version}/jdk15-preinst-config-%{version}.jar
rm modules/org/terracotta/modules/excludes-config/%{version}/excludes-config-%{version}.jar
ln -sf %{_javadir}/%{name}/excludes-config-%{version}.jar modules/org/terracotta/modules/excludes-config/%{version}/excludes-config-%{version}.jar
rm modules/org/terracotta/modules/guimodels-config/%{version}/guimodels-config-%{version}.jar
ln -sf %{_javadir}/%{name}/guimodels-config-%{version}.jar modules/org/terracotta/modules/guimodels-config/%{version}/guimodels-config-%{version}.jar
rm modules/org/terracotta/modules/clustered-surefire-2.3/%{version}/clustered-surefire-2.3-%{version}.jar
ln -sf %{_javadir}/%{name}/clustered-surefire-2.3-%{version}.jar modules/org/terracotta/modules/clustered-surefire-2.3/%{version}/clustered-surefire-2.3-%{version}.jar
rm modules/org/terracotta/modules/standard-config/%{version}/standard-config-%{version}.jar
ln -sf %{_javadir}/%{name}/standard-config-%{version}.jar modules/org/terracotta/modules/standard-config/%{version}/standard-config-%{version}.jar
rm samples/pojo/sharedqueue/lib/jetty-util-6.1.1.jar.no
ln -sf $(build-classpath jetty6/jetty6-util) samples/pojo/sharedqueue/lib/jetty-util.jar
rm samples/pojo/sharedqueue/lib/jetty-6.1.1.jar.no
ln -sf $(build-classpath jetty6/jetty6) samples/pojo/sharedqueue/lib/jetty.jar
#
rm samples/pojo/sharedqueue/lib/servlet-api-2.5-6.1.1.jar.no
ln -sf $(build-classpath servlet_2_5_api) samples/pojo/sharedqueue/lib/servlet-api-2.5.jar
rm samples/pojo/coordination/lib/concurrent-1.3.4.jar.no
ln -sf $(build-classpath concurrent) samples/pojo/coordination/lib/concurrent.jar
ln -sf %{_javadir}/%{name}/jdk15-preinst-config.jar modules/org/terracotta/modules/jdk15-preinst-config/%{version}/jdk15-preinst-config-%{version}.jar
ln -sf %{_javadir}/%{name}/excludes-config.jar modules/org/terracotta/modules/excludes-config/%{version}/excludes-config-%{version}.jar
ln -sf %{_javadir}/%{name}/guimodels-config.jar modules/org/terracotta/modules/guimodels-config/%{version}/guimodels-config-%{version}.jar
ln -sf %{_javadir}/%{name}/clustered-surefire-2.3.jar modules/org/terracotta/modules/clustered-surefire-2.3/%{version}/clustered-surefire-2.3-%{version}.jar
ln -sf %{_javadir}/%{name}/standard-config.jar modules/org/terracotta/modules/standard-config/%{version}/standard-config-%{version}.jar
popd

# home/sessions
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/sessions
cp -pr sessions/* $RPM_BUILD_ROOT%{_datadir}/%{name}/sessions
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/sessions
find . -name "*.bat" -exec rm {} \;
ln -sf $(build-classpath commons-beanutils) samples/tasklist/src/main/webapp/WEB-INF/lib/commons-beanutils.jar
ln -sf $(build-classpath commons-digester) samples/tasklist/src/main/webapp/WEB-INF/lib/commons-digester.jar
ln -sf $(build-classpath commons-fileupload) samples/tasklist/src/main/webapp/WEB-INF/lib/commons-fileupload.jar
ln -sf $(build-classpath commons-logging) samples/tasklist/src/main/webapp/WEB-INF/lib/commons-logging.jar
ln -sf $(build-classpath commons-validator) samples/tasklist/src/main/webapp/WEB-INF/lib/commons-validator.jar
ln -sf $(build-classpath struts) samples/tasklist/src/main/webapp/WEB-INF/lib/struts.jar
ln -sf $(build-classpath commons-beanutils) samples/townsend/src/main/webapp/WEB-INF/lib/commons-beanutils.jar
ln -sf $(build-classpath commons-digester) samples/townsend/src/main/webapp/WEB-INF/lib/commons-digester.jar
ln -sf $(build-classpath commons-fileupload) samples/townsend/src/main/webapp/WEB-INF/lib/commons-fileupload.jar
ln -sf $(build-classpath commons-logging) samples/townsend/src/main/webapp/WEB-INF/lib/commons-logging.jar
ln -sf $(build-classpath commons-validator) samples/townsend/src/main/webapp/WEB-INF/lib/commons-validator.jar
ln -sf $(build-classpath slf4j/api) samples/townsend/src/main/webapp/WEB-INF/lib/slf4j-api.jar
ln -sf $(build-classpath slf4j/jdk14) samples/townsend/src/main/webapp/WEB-INF/lib/slf4j-jdk14.jar
ln -sf $(build-classpath struts) samples/townsend/src/main/webapp/WEB-INF/lib/struts.jar
popd
popd

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr code/base/build/doc/api/* \
                    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_maven_depmap

%postun 
%update_maven_depmap

%files 
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*
%{_datadir}/%{name}
%doc %{_docdir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Sun Sep 26 2010 Ralph Apel <r.apel at r-apel.de> 0:3.3.0-1
- first release

